Subject: Morels again

From: [email-masked]
Date: 13 May 1995 13:26:06 -0700

I can't help it. I just have to add my morel story to the general morel
mania. Last May I had given up hope of finding Morels. They were nowhere to
be found for me despite friends finding bags of them in their favorite spots.
I had planted patches in my back yard where I had found a single specimen the
year before but this year it was past the time to look and there was nothing.
I was sitting in the back yard complaining about this sad state of affairs to
my sister-in-law. As she was sympathizing I happened to glance under her
chair. There sat a perfect yellow morel staring back at me with a wrinkled
little face. I asked her (my sister-in-law) to excuse me and I promptly
pounced (on the morel) before it had a chance to run away.
No one in this neck of the woods has spotted one yet despite the signs being
right-fiddleheads-maple leaves as big as BIG squirrel's ears- Gyromitras-cup
fungi etc...Too dry ?
Mike Ziegler- Vermont